summaryrefslogtreecommitdiffstats
path: root/git-interface/test/t0002-serve.sh
diff options
context:
space:
mode:
authorLukas Fleischer <lfleischer@archlinux.org>2016-09-17 16:02:42 +0200
committerLukas Fleischer <lfleischer@archlinux.org>2016-09-17 20:17:11 +0200
commite0450694216e5e88df6f48aaa9f7adc91e3f23f3 (patch)
tree996dabb620b6bbe45f2e0e04b323d9e573c21639 /git-interface/test/t0002-serve.sh
parentab228fd3c3124d4fc4d927c91245072d8a0ec32d (diff)
downloadaur-e0450694216e5e88df6f48aaa9f7adc91e3f23f3.tar.gz
aur-e0450694216e5e88df6f48aaa9f7adc91e3f23f3.tar.xz
git-serve: Format usage text automatically
Remove the formatting of the usage text and add code to columnize it automatically instead. Also, add more strict tests for the usage output. These new tests ensure that the usage header is printed, commands are indented properly and no overly long lines are produced. Signed-off-by: Lukas Fleischer <lfleischer@archlinux.org>
Diffstat (limited to 'git-interface/test/t0002-serve.sh')
-rwxr-xr-xgit-interface/test/t0002-serve.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/git-interface/test/t0002-serve.sh b/git-interface/test/t0002-serve.sh
index 52fdcd1e..ce8340e6 100755
--- a/git-interface/test/t0002-serve.sh
+++ b/git-interface/test/t0002-serve.sh
@@ -9,7 +9,15 @@ test_expect_success 'Test interactive shell.' '
'
test_expect_success 'Test help.' '
- SSH_ORIGINAL_COMMAND=help "$GIT_SERVE" 2>&1 | grep -q "^Commands:$"
+ SSH_ORIGINAL_COMMAND=help "$GIT_SERVE" 2>actual &&
+ save_IFS=$IFS
+ IFS=
+ while read -r line; do
+ echo $line | grep -q "^Commands:$" && continue
+ echo $line | grep -q "^ [a-z]" || return 1
+ [ ${#line} -le 80 ] || return 1
+ done <actual
+ IFS=$save_IFS
'
test_expect_success 'Test setup-repo and list-repos.' '